Subject: [PATCH 1/4] ARM: ks-8695: merge the timer header into the timer driver

From: [email-masked] (Arnd Bergmann)
Date: Mon, 3 Sep 2012 13:01:00 +0000

On Wednesday 29 August 2012, Linus Walleij wrote:
> +#define KS8695_TMR_OFFSET      (0xF0000 + 0xE400)
> +#define KS8695_TMR_VA          (KS8695_IO_VA + KS8695_TMR_OFFSET)
> +#define KS8695_TMR_PA          (KS8695_IO_PA + KS8695_TMR_OFFSET)

I'm not too happy about KS8695_TMR_VA moving into a device driver, but aside
from that the patch looks ok to me. Apparently, the gpio, ethernet, serial
and watchdog drivers for this platform already do it like this anyway.

	ARnd